PImage img;
int lednumber=1;
const boolean druckerFreundlich = false;

void setup() { 
  img = loadImage("logo.png");

  size(800, 800);
  img.resize(800,800);
  textSize(10);
  noStroke();
}

void draw() {
  background(255);
  if(!druckerFreundlich) {
    image(img, 0,0);
  }
  
  lednumber=1;
  drawC(mousePressed);
  drawR(mousePressed);
  
  text("x: "+mouseX+", y: "+mouseY, 10,780);
}

void drawLED(int nummer, int x, int y, boolean lichtAn) {
  if(lichtAn)
      fill(255,0,0);
  else 
     fill(120,0,0);
 
  if(druckerFreundlich) {
    fill(255);
    stroke(0);
  }
  
  ellipse(x, y, 15, 15);
  if(druckerFreundlich) {
    for(int i=-7; i<7; i++) {
      point(x+i,y);
      point(x,y+i);
    }
  }
  
  fill(0);
  text(nummer, x+10, y+10);
}

void drawC(boolean lichtAn) {
  drawLED(lednumber++, 155,83,lichtAn);
  drawLED(lednumber++, 195,70,lichtAn);
  drawLED(lednumber++, 238,65,lichtAn);
  drawLED(lednumber++, 280,63,lichtAn);
  drawLED(lednumber++, 325,65,lichtAn);
  drawLED(lednumber++, 370,72,lichtAn);
  drawLED(lednumber++, 410,88,lichtAn);
 
  // 8
  drawLED(lednumber++, 403,119,lichtAn);
  drawLED(lednumber++, 394,154,lichtAn);
  drawLED(lednumber++, 382,187,lichtAn);
  
  //11
  drawLED(lednumber++, 346,175,lichtAn);
  drawLED(lednumber++, 308,167,lichtAn);
  drawLED(lednumber++, 267,167,lichtAn);
  drawLED(lednumber++, 233,173,lichtAn);
  drawLED(lednumber++, 195,184,lichtAn);
  drawLED(lednumber++, 161,208,lichtAn);
  drawLED(lednumber++, 136,240,lichtAn);
  drawLED(lednumber++, 118,277,lichtAn);
  drawLED(lednumber++, 110,316,lichtAn);
  drawLED(lednumber++, 108,353,lichtAn);
  drawLED(lednumber++, 115,392,lichtAn);
  drawLED(lednumber++, 127,430,lichtAn);
  drawLED(lednumber++, 145,461,lichtAn);
  drawLED(lednumber++, 172,488,lichtAn);
  drawLED(lednumber++, 208,507,lichtAn);
  drawLED(lednumber++, 241,518,lichtAn);
  drawLED(lednumber++, 280,521,lichtAn);
  drawLED(lednumber++, 315,520,lichtAn);
  drawLED(lednumber++, 350,514,lichtAn);
  
  // 30
  drawLED(lednumber++, 350,618,lichtAn);
  drawLED(lednumber++, 308,622,lichtAn);
  drawLED(lednumber++, 262,627,lichtAn);
  drawLED(lednumber++, 211,623,lichtAn);
  drawLED(lednumber++, 163,614,lichtAn);
  drawLED(lednumber++, 120,600,lichtAn);
  drawLED(lednumber++, 81,575,lichtAn);
  drawLED(lednumber++, 47,548,lichtAn);  
  drawLED(lednumber++, 16,508,lichtAn);    
}

void drawR(boolean lichtAn) {
  //39
  drawLED(lednumber++, 350, 787,lichtAn);
  drawLED(lednumber++, 350, 747,lichtAn);
  drawLED(lednumber++, 350, 707,lichtAn);
  drawLED(lednumber++, 350, 660,lichtAn);
  drawLED(lednumber++, 350, 470,lichtAn);
  drawLED(lednumber++, 350, 430,lichtAn);
  drawLED(lednumber++, 350, 390,lichtAn);
  drawLED(lednumber++, 350, 350,lichtAn);
  drawLED(lednumber++, 350, 310,lichtAn);
  drawLED(lednumber++, 350, 265,lichtAn);
  
  // 49
  drawLED(lednumber++, 395, 257,lichtAn);
  drawLED(lednumber++, 440, 254,lichtAn);
  drawLED(lednumber++, 480, 251,lichtAn);
  drawLED(lednumber++, 520, 251,lichtAn);
  drawLED(lednumber++, 560, 252,lichtAn);
  drawLED(lednumber++, 600, 257,lichtAn);
  drawLED(lednumber++, 640, 266,lichtAn);
  drawLED(lednumber++, 680, 286,lichtAn);
  drawLED(lednumber++, 709, 313,lichtAn);
  drawLED(lednumber++, 731, 346,lichtAn);
  drawLED(lednumber++, 742, 382,lichtAn);
  drawLED(lednumber++, 743, 420,lichtAn);
  drawLED(lednumber++, 734, 458,lichtAn);
  drawLED(lednumber++, 713, 493,lichtAn);
  drawLED(lednumber++, 685, 522,lichtAn);
  drawLED(lednumber++, 650, 544,lichtAn);
  
  drawLED(lednumber++, 679, 564,lichtAn);
  drawLED(lednumber++, 701, 593,lichtAn);
  drawLED(lednumber++, 716, 625,lichtAn);

  // Unterteil R
  drawLED(lednumber++, 612, 727,lichtAn);
  drawLED(lednumber++, 601, 682,lichtAn);
  drawLED(lednumber++, 590, 645,lichtAn);
  drawLED(lednumber++, 563, 602,lichtAn);
  drawLED(lednumber++, 524, 588,lichtAn);
 
  drawLED(lednumber++, 477, 778,lichtAn);
  drawLED(lednumber++, 477, 740,lichtAn);
  drawLED(lednumber++, 477, 702,lichtAn);
  drawLED(lednumber++, 477, 664,lichtAn);
  drawLED(lednumber++, 477, 626,lichtAn);
  drawLED(lednumber++, 477, 590,lichtAn);

  // Innenteil des Rs
  drawLED(lednumber++, 477, 496,lichtAn);
  drawLED(lednumber++, 477, 445,lichtAn);
  drawLED(lednumber++, 477, 400,lichtAn);
  drawLED(lednumber++, 477, 350,lichtAn);
  drawLED(lednumber++, 520, 350,lichtAn);
  drawLED(lednumber++, 560, 352,lichtAn);
  drawLED(lednumber++, 597, 366,lichtAn);
  drawLED(lednumber++, 616, 396,lichtAn);
  drawLED(lednumber++, 620, 427,lichtAn);
  drawLED(lednumber++, 603, 461,lichtAn);
  drawLED(lednumber++, 579, 485,lichtAn);
  drawLED(lednumber++, 547, 494,lichtAn);
  drawLED(lednumber++, 507, 497,lichtAn);
  
}